Skip to main content
GET
/
environments
/
{org}
/
{env_name}
/
deployments
List deployments for an environment
curl --request GET \
  --url https://app.kosli.com/api/v2/environments/{org}/{env_name}/deployments \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://app.kosli.com/api/v2/environments/{org}/{env_name}/deployments"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://app.kosli.com/api/v2/environments/{org}/{env_name}/deployments', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "page": 123,
  "per_page": 123,
  "total_pages": 123,
  "total_count": 123,
  "deployments": [
    {
      "fingerprint": "<string>",
      "deployed_at": 123,
      "artifact_name": "<string>",
      "compliance": true,
      "env_name": "<string>",
      "snapshot_index": 123,
      "commit": {
        "sha1": "<string>",
        "message": "<string>",
        "author": "<string>",
        "branch": "<string>",
        "timestamp": 123,
        "url": "<string>"
      },
      "_links": {}
    }
  ],
  "_links": {}
}
{
  "message": "<string>",
  "errors": {}
}
{
  "message": "<string>",
  "errors": {}
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

env_name
string
required
org
string
required

Query Parameters

from
string | null

Start of time range, ISO-8601 (Default: 30 days ago)

to
string | null

End of time range, ISO-8601 (Default: now)

page
integer
default:1

Page number

Required range: x >= 1
page_size
integer
default:50

Deployments per page

Required range: 1 <= x <= 100

Response

Successful Response

page
integer
required
per_page
integer
required
total_pages
integer
required
total_count
integer
required
deployments
EnvDeploymentListItemResponse · object[]
required
Last modified on July 8, 2026